server:
  port: 20080
spring:
  application:
    name: gringotts-web
  profiles:
    include: common,metrics,encrypt
  datasource:
    url: jdbc:h2:./database;DATABASE_TO_LOWER=TRUE;CASE_INSENSITIVE_IDENTIFIERS=TRUE
    username: lanyuanxiaoyao
    password: lanyuanxiaoyao
    driver-class-name: org.h2.Driver
  jpa:
    generate-ddl: true
    show-sql: true
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 20MB
fenix:
  print-banner: false
  print-sql: false
sa-token:
  is-print: false
  is-read-cookie: false
  token-name: token
logging:
  level:
    org:
      fisco:
        bcos:
          sdk:
            eventsub:
              EventSubscribeImp: error

---
spring:
  config:
    activate:
      on-profile: macOS
gringotts:
  upload:
    upload-path: /Users/lanyuanxiaoyao/Project/IdeaProjects/gringotts/gringotts-web/target/upload

---
spring:
  config:
    activate:
      on-profile: windows
gringotts:
  upload:
    upload-path: C:\Users\lanyuanxiaoyao\Projects\gringotts\gringotts-web\target